Subject: bug#31168: 27.0.50; dconf spews warnings on Emacs startup

From: Glenn Morris <[email-masked]>
Date: Mon, 16 Apr 2018 14:43:17 -0400

Lars Ingebrigtsen wrote:

> larsi@corrigan:~$ ls -l /run/user/1000/dconf/user 
> -rw------- 1 root root 2 Apr 15 21:36 /run/user/1000/dconf/user
>
> That file is owned by root, so ...  er... 

That's definitely wrong.

> I may have su-d and started an Emacs before and that left that file
> behind?

Sounds plausible (and should be easy to test), but in any kind of modern
desktop environment I would expect that file to be created with
appropriate permissions when you first login to a graphical session.
Maybe this was in a ssh login or somesuch though?
Anyway, I don't think it's an Emacs issue, really.
It's certainly not new, eg https://bugzilla.redhat.com/show_bug.cgi?id=921689 .